Mailinglist Archive: opensuse-updates (89 mails)

< Previous Next >
openSUSE-SU-2015:0008-1: moderate: update for libvirt
openSUSE Security Update: update for libvirt
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:0008-1
Rating: moderate
References: #904432 #909274 #910860 #910862
Cross-References: CVE-2014-8131 CVE-2014-8135 CVE-2014-8136

Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that solves three vulnerabilities and has one
errata is now available.

Description:


- CVE-2014-8135: libvirt: local denial of service in storage driver
87b9437f-CVE-2014-8135.patch bsc#910860
- CVE-2014-8136: libvirt: local denial of service in qemu driver
2bdcd29c-CVE-2014-8136.patch bsc#910862

- CVE-2014-8131: Fix possible deadlock and segfault in
qemuConnectGetAllDomainStats() 57023c0a-CVE-2014-8131.patch,
cb104ef7-CVE-2014-8131.patch bsc#909274

- Get /proc/sys/net/ipv[46] read-write for wicked to work in containers.
bsc#904432. ba9b7252-sys-net-rw.patch

- Fix potential crasher in virt-aa-helper
2222123-virt-aa-helper-crash.patch
- ip link add now needs the 'name' parameter. 433b427-iplink-name.patch
- Fixes for virt-sandbox-service to work:
- Allow adding virt-sandbox service config to apparmor rules.
c264eea-virt-aa-helper-sandbox.patch
- fix symlink resolving for containers to start.
72fecf1-lxc-resolve-symlinks.patch
- fix unmounting file system if it contains the source to mount.
e50457d-lxc-unmount-check.patch

- Remove security_driver = "none" in qemu config. This completely disabled
all security drivers instead of probing them.
- Changed default value of QEMU's security_default_confined to 0 to keep
QEMU domains unconfined by default.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-3

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libvirt-1.2.9-8.1
libvirt-client-1.2.9-8.1
libvirt-client-debuginfo-1.2.9-8.1
libvirt-daemon-1.2.9-8.1
libvirt-daemon-config-network-1.2.9-8.1
libvirt-daemon-config-nwfilter-1.2.9-8.1
libvirt-daemon-debuginfo-1.2.9-8.1
libvirt-daemon-driver-interface-1.2.9-8.1
libvirt-daemon-driver-interface-debuginfo-1.2.9-8.1
libvirt-daemon-driver-lxc-1.2.9-8.1
libvirt-daemon-driver-lxc-debuginfo-1.2.9-8.1
libvirt-daemon-driver-network-1.2.9-8.1
libvirt-daemon-driver-network-debuginfo-1.2.9-8.1
libvirt-daemon-driver-nodedev-1.2.9-8.1
libvirt-daemon-driver-nodedev-debuginfo-1.2.9-8.1
libvirt-daemon-driver-nwfilter-1.2.9-8.1
libvirt-daemon-driver-nwfilter-debuginfo-1.2.9-8.1
libvirt-daemon-driver-qemu-1.2.9-8.1
libvirt-daemon-driver-qemu-debuginfo-1.2.9-8.1
libvirt-daemon-driver-secret-1.2.9-8.1
libvirt-daemon-driver-secret-debuginfo-1.2.9-8.1
libvirt-daemon-driver-storage-1.2.9-8.1
libvirt-daemon-driver-storage-debuginfo-1.2.9-8.1
libvirt-daemon-driver-uml-1.2.9-8.1
libvirt-daemon-driver-uml-debuginfo-1.2.9-8.1
libvirt-daemon-driver-vbox-1.2.9-8.1
libvirt-daemon-driver-vbox-debuginfo-1.2.9-8.1
libvirt-daemon-lxc-1.2.9-8.1
libvirt-daemon-qemu-1.2.9-8.1
libvirt-daemon-uml-1.2.9-8.1
libvirt-daemon-vbox-1.2.9-8.1
libvirt-debugsource-1.2.9-8.1
libvirt-devel-1.2.9-8.1
libvirt-doc-1.2.9-8.1
libvirt-lock-sanlock-1.2.9-8.1
libvirt-lock-sanlock-debuginfo-1.2.9-8.1
libvirt-login-shell-1.2.9-8.1
libvirt-login-shell-debuginfo-1.2.9-8.1

- openSUSE 13.2 (x86_64):

libvirt-client-32bit-1.2.9-8.1
libvirt-client-debuginfo-32bit-1.2.9-8.1
libvirt-daemon-driver-libxl-1.2.9-8.1
libvirt-daemon-driver-libxl-debuginfo-1.2.9-8.1
libvirt-daemon-driver-xen-1.2.9-8.1
libvirt-daemon-driver-xen-debuginfo-1.2.9-8.1
libvirt-daemon-xen-1.2.9-8.1
libvirt-devel-32bit-1.2.9-8.1


References:

http://support.novell.com/security/cve/CVE-2014-8131.html
http://support.novell.com/security/cve/CVE-2014-8135.html
http://support.novell.com/security/cve/CVE-2014-8136.html
https://bugzilla.suse.com/show_bug.cgi?id=904432
https://bugzilla.suse.com/show_bug.cgi?id=909274
https://bugzilla.suse.com/show_bug.cgi?id=910860
https://bugzilla.suse.com/show_bug.cgi?id=910862


< Previous Next >
This Thread
  • No further messages